Search Companion overview

Search Companion makes it easy to search for files and folders, printers, people, and other computers on your network; and it's a convenient starting point for searching for information on the Internet. Search Companion also has an indexing service that maintains an index of all the files on your computer, making searches faster.

When you use Search Companion, you can specify several search criteria. For example, you can search for files and folders by name, type, and size. You can find a file based on when you last worked on it or search for files containing specific text. You can search for a printer with a specific name or location if you are using Active Directory. If you need to find a printer with special features, you can search for a specific model.

XOX

Related Topics


Search for a specific type of file

Microsoft Windows graphic

To search for a specific type of file

When you know the type of file you are looking for, such as a picture file, you can quickly search for all files of that type by using Search Companion.

  1. XOX
  2. Click Other search options, and then click Pictures, music, or video or Documents (word processing, spreadsheet, etc.), depending on the type of file you want to find.
  3. Click the appropriate search criteria, type all or part of the name of the file (if you know it), and then click Search.

Notes

  • If you do not get the results you want, try using additional search criteria to make your search more specific.
  • For information about changing the appearance of Search Companion, click Related Topics.


Search for a file or folder

To search for a file or folder

  1. XOX
  2. Click Other search options, and then click All files and folders.
  3. Type part or all of the name of the file or folder, or type a word or phrase that is in the file.
  4. If you do not know either piece of information or want to narrow your search further, select one or more of the remaining options:
    • In Look in, click the drive, folder, or network you want to search.
    • Click When was it modified? to look for files that were created or modified on or between specific dates.
    • Click What size is it? to look for files of a specific size.
    • Click More advanced options to specify additional search criteria.
  5. Click Search.

Notes

  • If you get too many results, try using additional search criteria to make your search more specific.
  • For information about changing the appearance of Search Companion, click Related Topics.


Search for a computer on the network

To search for a computer on the network

    XOX
  1. Click A computer on the network.
  2. In Computer name, type the name of the computer you want to find.
  3. Click Search.

Notes

  • To begin a new search, type a different computer name, and then click Search.
  • For information about changing the appearance of Search Companion, click Related Topics.


Search for people in your Address Book

To search for people in your Address Book

    XOX
  1. Click People in your address book.
  2. In Look in, click Address Book.
  3. On the People or Advanced tab, type your search criteria, and then click Find Now.

    4. If you do not get any results, try removing some of the search information to make your search more general.

Notes

  • To clear the search criteria fields and begin a new search in the Find People dialog box, click Clear All.
  • The Address Book contains your personal contact information. XOX
  • For information about changing the appearance of Search Companion, click Related Topics.


Search the Internet

To search the Internet

    XOX
  1. Type a phrase or sentence describing the information you want to find, and then click Search.
  2. In the list of search results, click a link to display the Web page.

Notes

  • If you want to find information quickly, you can type go, find, or ? followed by the text you want to search for, in the address bar of Internet Explorer.
  • For more tips about using Internet Explorer, click the Help menu in Internet Explorer.
  • For information about changing the appearance of Search Companion, click Related Topics.


Search for people and groups on the Internet

To search for people and groups on the Internet

There are two ways to search for people on the Internet using Search Companion. You can type a phrase or sentence using natural language, such as "give me information about John Smith in Anytown, USA" and the search results might include anything from John Smith's address to his genealogy Web page. You can also choose from several Internet search services that specialize in finding e-mail addresses, phone numbers, and names.

Search the Internet using natural language

    XOX
  1. Type a phrase or sentence describing the information you want, and then click Search.

Note

  • For information about changing the appearance of Search Companion, click Related Topics.

Use a directory service or Internet search service

    XOX
  1. Click People in your address book.
  2. In Look in, click the directory service or Internet search service you would like to use, and then click Web Site.

    3. Follow the instructions that appear on your selected Internet search service.

Notes

  • To clear the search criteria fields and begin a new search in the Find People dialog box, click Clear All.
  • For information about changing the appearance of Search Companion, click Related Topics.


Change the default Internet search service

To change the default Internet search service

When you search the Internet, you can choose the default search service you want Search Companion to use.

  1. XOX
  2. Click Change preferences.
  3. Click Change Internet search behavior.
  4. In Select the default search engine, click the name of the search service you want Search Companion to use by default.

Notes

  • The option to change Internet search behavior might not be available in your language version. If it is not, you can change the default Internet search service by clicking Start, clicking Search, clicking Search the Internet, and then clicking Customize.
  • For information about changing the appearance of Search Companion, click Related Topics.


Use Classic Search for the Internet

To use Classic Search for the Internet

  1. XOX
  2. Click Change preferences.
  3. Click Change Internet search behavior.
  4. Click With classic Internet search, and then click OK.

Note

  • The option to change Internet search behavior might not be available in your language version.


Searching for files and folders

Windows offers a number of ways to find files and folders.

Search Companion offers the most direct way to locate a file. Use Search Companion if you are looking for common file types, if you remember all or part of the name of the file or folder you want to find, or if you know when you last changed a file. If you know only part of the name, you can use wildcard characters to locate all files or folders that include that part in the name. For example, *letter.* will find Holiday letter.doc, Special letter.doc, and Special letter.txt. XOX

Windows Explorer provides a quick way to see all the files and folders on your computer, and it is also a good way to copy or move files from one folder to another. Use Windows Explorer if you know where the file or folder is located.

My Computer provides a simpler view of the folders on your computer. Use My Computer if you want to work with a number of files in one folder, or if you want to reorganize the contents of a folder by creating new subfolders or renaming subfolders.

My Network Places provides a view of all the shared computers, files and folders, printers, and other resources on the network to which your computer is connected. My Network Places presents a view of the network similar to the view of your computer presented by Windows Explorer. Use My Network Places when you want to see all the resources available on the network, when you know where the resource you want is located, or when you want to copy files and folders from one network location to another.

The Map Network Drive command lets you display a network resource in My Computer or Windows Explorer, which makes your network resources easier to find. Use Map Network Drive for network resources you use frequently or when you know the exact network path and name of the resource you want to connect to.


Using wildcard characters

A wildcard character is a keyboard character such as an asterisk (*) or a question mark (?) that is used to represent one or more characters when you are searching for files, folders, printers, computers, or people. Wildcard characters are often used in place of one or more characters when you do not know what the real character is or you do not want to type the entire name.

Wildcard character Uses
Asterisk (*)

Use the asterisk as a substitute for zero or more characters. If you are looking for a file that you know starts with "gloss" but you cannot remember the rest of the file name, type the following:

gloss*

This locates all files of any file type that begin with "gloss" including Glossary.txt, Glossary.doc, and Glossy.doc. To narrow the search to a specific type of file, type:

gloss*.doc

This locates all files that begin with "gloss" but have the file name extension .doc, such as Glossary.doc and Glossy.doc.
Question mark (?)

Use the question mark as a substitute for a single character in a name. For example, if you type gloss?.doc, you will locate the file Glossy.doc or Gloss1.doc but not Glossary.doc.


Save a search query

To save a search query

  1. When you complete your search using Search Companion, click the File menu, and then click Save Search.
  2. In Save in, specify the location where you want to save the search query.
  3. In File name, type a name for the file, and then click Save.

Note

  • When you open a saved search query, click Search to begin a search using the saved query.


Change the appearance of Search Companion

To change the appearance of Search Companion

  1. XOX
  2. Click Change preferences.
  3. Click Change files and folders search behavior.
  4. Click Standard to be able to search for a variety of things, such as files, folders, and people, from one location.

    5. -or-

    Click Advanced to quickly display the options to search for files and folders.


Compile Date

Compile Date: 2002-08-20